<?php
	//if uninstall not called from WordPress exit
	if ( !defined( 'WP_UNINSTALL_PLUGIN' ) )
		exit ();

	// Delete all existence of this plugin

	global $wpdb;
	include('wp-post-relate-pro.php');

	$version_option_name = 'nnrobots_related_posts_version';
	$license_key_name = 'nnrobots_related_posts_license_key';

	if ( !is_multisite() ) {

		$query = $wpdb->query($wpdb->prepare( "DELETE FROM {$wpdb->options} WHERE option_name LIKE %s", '%' . $wpdb->esc_like('nnr_rlp_cached_posts_') . '%'));

		$wpdb->query( "ALTER TABLE " . $wpdb->posts . " DROP INDEX nnr_related_title" );

		delete_option($version_option_name);
		delete_option($license_key_name);
	} else {
	    $blog_ids = $wpdb->get_col( "SELECT blog_id FROM $wpdb->blogs" );
	    $original_blog_id = get_current_blog_id();

	    foreach ( $blog_ids as $blog_id ) {
	        switch_to_blog( $blog_id );
	        $query = $wpdb->query($wpdb->prepare( "DELETE FROM {$wpdb->options} WHERE option_name LIKE %s", '%' . $wpdb->esc_like('nnr_rlp_cached_posts_') . '%'));

	        $wpdb->query( "ALTER TABLE " . $wpdb->posts . " DROP INDEX nnr_related_title" );
	    }

	    restore_current_blog();

	    delete_site_option($version_option_name);
	    delete_site_option($license_key_name);
	}

?>